Foreman - Bug #12325

Avatars are broken after restoring Foreman DB on a new host
10/27/2015 09:38 AM - Frank Hart

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Authentication
Target version: 1.10.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.9.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2888
Description

After restoring the Foreman DB on a new host, the avatars are broken. The file with the hash is created on disk in
/usr/share/foreman/public/assets/avatars, but it is empty.

stbenjam on IRC recommended to run this on the Foreman host:
echo "User.all.each { |user| user.update_attributes(:avatar_hash => nil) }" | foreman-rake console

After logging in again, | get this in the logfile:

2015-10-27 14:23:44 [sgl] [I] Successfully decrypted field for AuthSourceldap Active Directory
2015-10-27 14:23:45 [app] [W] Action failed

| Encoding::UndefinedConversionError: "\xFF" from ASCII-8BIT to UTF-8
/usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:176:in “write'
/usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:176:in "block in store_avatar'
/usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:176:in " open'
/usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:176:1in 'store_avatar'
/usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:162:in “block in attributes_valu

\

\

\

\

\
es'

| /usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:159:in “each'

| /usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:159:in “map'

| /usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:159:in “attributes_values'

| /usr/share/foreman/app/models/auth_sources/auth_source_ldap.rb:53:in "authenticate'

| /usr/share/foreman/app/models/user.rb:187:in "try_to_login'

\

/usr/share/foreman/app/controllers/users_controller.rb:71:in "~login'

Related issues:
Related to Foreman - Bug #12730: remove fakefs gem Closed 12/07/2015

Associated revisions

Revision b5782137 - 11/11/2015 03:01 AM - Shlomi Zadok

Fixes #12325 - Add to_utf8 method and ensure avatar_path returns in utf-8

Revision 5cf97f88 - 01/19/2016 08:10 AM - Shlomi Zadok

Fixes #12325 - Add to_utf8 method and ensure avatar_path returns in utf-8

(cherry picked from commit b57821379e4af56e81780051ab7737318b1db116)

History

#1 - 10/27/2015 09:45 AM - Dominic Cleal

- Category set to Authentication
#2 - 11/03/2015 11:41 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/2888 added

#3 - 11/11/2015 03:06 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#4 - 11/11/2015 04:02 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b57821379e4af56e81780051ab7737318b1db116.

#5 - 12/07/2015 08:16 AM - Dominic Cleal
- Related to Bug #12730: remove fakefs gem added
